LocalizationControllerGetLocalizationFile Method |
GET /Localization/File/
Gets the requested localization as a file.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("File")]
public IActionResult GetLocalizationFile(
string cultureName,
Guid moduleId,
string name,
bool isOverride,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("File")>
Public Function GetLocalizationFile (
cultureName As String,
moduleId As Guid,
name As String,
isOverride As Boolean,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"File")]
IActionResult^ GetLocalizationFile(
String^ cultureName,
Guid moduleId,
String^ name,
bool isOverride,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("File")>]
member GetLocalizationFile :
cultureName : string *
moduleId : Guid *
name : string *
isOverride : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- cultureName
- Type: SystemString
The name of the culture to get the localization for. - moduleId
- Type: SystemGuid
The ID of the module the localization belongs to. - name
- Type: SystemString
The name of localization. - isOverride
- Type: SystemBoolean
A flag indicating whether or not this is an override. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResultA status code indicating success and the file, or a failure reason.
See Also